divert(-1)
dnl changecom(`;')

* utilitaires M4
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`IP4')
MAKE_GETTER(`NAME')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* hébergeur : gresille.org
define(`GRESILLE_IP4', `IP4(LOCAL)')
define(`GRESILLE_MX_NAME', `mx.ZONE_DOMAIN.')

* hébergeur : kimsufi.com
define(`KIMSUFI_IP4', `91.121.198.103')

* hébergeur : lautre.net
define(`LAUTRENET_IP4', `80.67.160.70')
define(`LAUTRENET_MX_NAME', `mx.lautre.net.')
define(`LAUTRENET_MX2_NAME', `mx2.lautre.net.')
define(`LAUTRENET_SPF_NAME', `mx1a.lautre.net')
define(`LAUTRENET_SPF2_NAME', `mx1b.lautre.net')

divert(0)dnl
$TTL 1d ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA ns hostmaster (
	ZONE_SERIAL ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
@                               A IP4(GRESILLE)
agendav                         A IP4(GRESILLE)
ateliers                        A IP4(GRESILLE)
autoconfig                      A IP4(GRESILLE)
bicloud                         A IP4(GRESILLE)
burette                         A IP4(GRESILLE)
burette.atelier-etincelle       A IP4(GRESILLE)
burette.autourducycle           A IP4(GRESILLE)
burette.bretzselle              A IP4(GRESILLE)
burette.changedechaine          A IP4(GRESILLE)
burette.convibicy               A IP4(GRESILLE)
burette.cyclamaine              A IP4(GRESILLE)
burette.cyclesetmanivelles      A IP4(GRESILLE)
burette.cyclocoop               A IP4(GRESILLE)
burette.cyclofficineangouleme   A IP4(GRESILLE)
burette.dynamo                  A IP4(GRESILLE)
burette.etudesetchantiersidf    A IP4(GRESILLE)
burette.eturecup                A IP4(GRESILLE)
burette.labecaneajules          A IP4(GRESILLE)
burette.lapetiterennes          A IP4(GRESILLE)
burette.laptiterustine          A IP4(GRESILLE)
burette.larouelibre             A IP4(GRESILLE)
burette.lechatperche            A IP4(GRESILLE)
burette.mig                     A IP4(GRESILLE)
burette.mobilidees              A IP4(GRESILLE)
burette.ocivelo                 A IP4(GRESILLE)
burette.ohcyclo                 A IP4(GRESILLE)
burette.ptitvelo                A IP4(GRESILLE)
burette.recupr                  A IP4(GRESILLE)
burette.repeyre                 A IP4(GRESILLE)
burette.rouepet                 A IP4(GRESILLE)
burette.tousdeuxroues           A IP4(GRESILLE)
burette.txirrindola             A IP4(GRESILLE)
burette.velocampus_nantes       A IP4(GRESILLE)
burette.velorutiontoulouse      A IP4(GRESILLE)
burette.velosenville            A IP4(GRESILLE)
burettes                        A IP4(GRESILLE)
caldavzap                       A IP4(GRESILLE)
cartes                          A IP4(GRESILLE)
changedechaine                  A IP4(GRESILLE)
chatperche                      A IP4(GRESILLE)
clavette-grenoble               A IP4(GRESILLE)
clavette-lyon                   A IP4(GRESILLE)
clavette-stephanoise            A IP4(GRESILLE)
cyclocamp                       A IP4(GRESILLE)
cyclocoop                       A IP4(GRESILLE)
cyclofficinedangouleme          A IP4(GRESILLE)
davical                         A IP4(GRESILLE)
demo.burette                    A IP4(GRESILLE)
fanout                          A IP4(GRESILLE)
formations                      A IP4(GRESILLE)
git                             A IP4(GRESILLE)
imap                            A IP4(GRESILLE)
lesjantesdunord                 A IP4(GRESILLE)
mail                            A IP4(GRESILLE)
mx                              A IP4(GRESILLE)
notifications                   A IP4(GRESILLE)
ns                              A IP4(GRESILLE)
pop                             A IP4(GRESILLE)
ptitvelo                        A IP4(GRESILLE)
questionnaires                  A IP4(GRESILLE)
ra               60             A IP4(GRESILLE)
remorque                        A IP4(GRESILLE)
rencontres                      A IP4(GRESILLE)
rouepet                         A IP4(GRESILLE)
roundcube                       A IP4(GRESILLE)
shell                           A IP4(GRESILLE)
smtp                            A IP4(GRESILLE)
stats                           A IP4(GRESILLE)
submission                      A IP4(GRESILLE)
sympa                           A IP4(GRESILLE)
sympa.chatperche                A IP4(GRESILLE)
sympa.cyclocoop                 A IP4(GRESILLE)
sympa.etudesetchantiers         A IP4(GRESILLE)
sympa.lesjantesdunord           A IP4(GRESILLE)
sympa.ptitvelo                  A IP4(GRESILLE)
velocampus                      A IP4(GRESILLE)
velosenville                    A IP4(GRESILLE)
www                             A IP4(GRESILLE)

; ENREGISTREMENTS « CNAME » (Canonical NAME)
; NOTE : l'utilisation de CNAME n'est judicieuse que si la ressource pointée
; n'est pas sous notre contrôle. Par exemple,
; foo.example.org. CNAME foo.example.com.
; Dans le cas contraire, le seul résultat est un traffic réseau accru,
; et l'emploi de macros est préférable.
; ```You keep using CNAME records. I do not think they mean what you think they mean.'''
forge CNAME git

; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
@ MX 5 mx
;@ MX 10 NAME(LAUTRENET_MX2)

; ENREGISTREMENTS « NS » (Name Server)
@ NS ns
@ NS ns6.gandi.net.

; ENREGISTREMENTS "PTR" (IPv* -> name)
; NOTE : Dans le cas d’hébergement massif de domaines virtuels derrière une même adresse IP,
;        il est recommandé de ne pas appliquer sans discernement la règle un enregistrement PTR
;        par enregistrement A (ou AAAA) : le nombre des champs PTR à renvoyer pouvant faire dépasser
;        à la réponse la taille des paquets UDP et entraîner l’utilisation du protocole TCP
;        (plus coûteux en resources) pour envoyer la réponse à la requête DNS ;
;        cf. section "4.4 Usage and deployment considerations" du document :
;        http://tools.ietf.org/html/draft-ietf-dnsop-reverse-mapping-considerations

; ENREGISTREMENTS "SPF" (Sender Policy Framework)
@ 3600 IN SPF "v=spf1 mx ip4:IP4(GRESILLE) ~all"
@ 3600 IN TXT "v=spf1 mx ip4:IP4(GRESILLE) ~all"

; ENREGISTREMENTS « SRV » (SeRVice)
_git._tcp.git 18000 IN SRV 0 0 9418 git

; ENREGISTREMENTS « SSHFP » (Secure SHell FingerPrint)
esyscmd(sudo ssh-keygen -r @)

; key#2 4096 bits, i=heureux-cyclage, d=heureux-cyclage.org, /var/lib/amavis/dkim/heureux-cyclage.org.pem
heureux-cyclage._domainkey.heureux-cyclage.org. 3600 TXT (
  "v=DKIM1; p="
  "MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEA4RebbH09kB/+T0pXJ7DM"
  "VqMg6steXKg/zGcNSpFqYFXdyTCzBL8OGcT28lVLwKkJwPZhdDwPP1ZNxo2y6iQ/"
  "08mdMhhUYLvcQXP2tPYXWEF7OdCfvG8RgUjrUqTkWCsjOQQ5YV3gpHUB34vSa9C9"
  "n7NTXLpQ3UwYlhYHEOOcBITa8bSw5wPMMX2y/JN9kBDUruhhviP2ZJhR2azTbiH8"
  "ICdel52xtjSDVROsLEZp4hlr0uTgo4Vfm8HDB9w1NVZXOD42fn/fyVEQlPM4Msqn"
  "r9srt/C/DRrfv5P4wqxAZSS6EpABEuYq46IpuXNaPdeH//P/9fo+8QhyFbuNX7e7"
  "mdABIPI0AdDvQyDya2RSZaA8kMUrXEsc/ysLq8Tv/XsTPQns39T4niH5SCwsa9rt"
  "fCAopJQHXT3i5p3FYMxB/1CI8eghbsC+gOlrdWBT0pxnjDmRLZhxyNu99xT+NpYp"
  "VSn0Yzn+v6XoyGk/iBhhKThghK+CVn5NVntkcG5ILjnwaKLj6GJHhNILgHe2WhGa"
  "IMyBpMcIG1a47aYd7BemOa7siytTZlFN5SC9i7JT9FHep0h3krILUudRRWLWwF+T"
  "pAyDcOaQZYn3qZbCUST7SjojsSOUfux2qxFr7wshFHTxw5y498DVOb6iWAguQNNT"
  "raonAk7EKTxiZCscfeziwVkCAwEAAQ==")
