divert(-1)
dnl changecom(`;')

* utilitaires M4
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`IP4')
MAKE_GETTER(`NAME')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* hébergeur : gresille.org
define(`GRESILLE_IP4', `IP4(LOCAL)')

* hébergeur : kimsufi.com
define(`KIMSUFI_IP4', `91.121.198.103')

* hébergeur : lautre.net
define(`LAUTRENET_IP4', `80.67.160.70')

divert(0)dnl
$TTL 1d ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA ns hostmaster (
	ZONE_SERIAL ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
@                    A IP4(GRESILLE)
autoconfig           A IP4(GRESILLE)
burette              A IP4(GRESILLE)
demo.burette         A IP4(GRESILLE)
devel                A IP4(GRESILLE)
imap                 A IP4(GRESILLE)
mail                 A IP4(GRESILLE)
mx                   A IP4(GRESILLE)
ns                   A IP4(GRESILLE)
old                  A IP4(LAUTRENET)
pop                  A IP4(GRESILLE)
roundcube            A IP4(GRESILLE)
smtp                 A IP4(GRESILLE)
sympa                A IP4(GRESILLE)
www                  A IP4(GRESILLE)
www.questionnaires       A IP4(LAUTRENET)

; ENREGISTREMENTS « CNAME » (Canonical NAME)
; NOTE : l'utilisation de CNAME n'est judicieuse que si la ressource pointée
; n'est pas sous notre contrôle. Par exemple,
; foo.example.org. CNAME foo.example.com.
; Dans le cas contraire, le seul résultat est un traffic réseau accru,
; et l'emploi de macros est préférable.
; ```You keep using CNAME records. I do not think they mean what you think they mean.'''
; forge CNAME git

; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
@ 180 MX 5 mx

; ENREGISTREMENTS « NS » (Name Server)
@ NS ns

; ENREGISTREMENTS "PTR" (IPv* -> name)
; NOTE : Dans le cas d’hébergement massif de domaines virtuels derrière une même adresse IP,
;        il est recommandé de ne pas appliquer sans discernement la règle un enregistrement PTR
;        par enregistrement A (ou AAAA) : le nombre des champs PTR à renvoyer pouvant faire dépasser
;        à la réponse la taille des paquets UDP et entraîner l’utilisation du protocole TCP
;        (plus coûteux en resources) pour envoyer la réponse à la requête DNS ;
;        cf. section "4.4 Usage and deployment considerations" du document :
;        http://tools.ietf.org/html/draft-ietf-dnsop-reverse-mapping-considerations

; ENREGISTREMENTS "SPF" (Sender Policy Framework)
@ 3600 IN SPF "v=spf1 ip4:IP4(GRESILLE) -all"
@ 3600 IN TXT "v=spf1 ip4:IP4(GRESILLE) -all"

; ENREGISTREMENTS « SRV » (SeRVice)
; _git._tcp.git 18000 IN SRV 0 0 9418 git

; ENREGISTREMENTS « SSHFP » (Secure SHell FingerPrint)
esyscmd(sudo ssh-keygen -r @)

; key#3 4096 bits, i=ptitvelo, d=ptitvelo.net, /var/lib/amavis/dkim/ptitvelo.net.pem
ptitvelo._domainkey.ptitvelo.net.       3600 TXT (
  "v=DKIM1; p="
  "MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAsbplN1djDk45MNkWLDRr"
  "0ePGnMyaViOEX9dbiRUAqLjZzVui6wKR0Hy7HqTIR2PMKhN7ycHKi/+ZYqygK0U+"
  "j7s191yYHHCjK3ZwHbKsOfWtssop01HPACgQXXS5HGl33eMRXXV7wHug0OJN3drD"
  "h5bRLGwU00vKdrWEGup6bFqLJwRkdAUD7Dia63+JJl431h5rfAm/FjrFEx/B8JXY"
  "aGq86eL9YaNwbhKZklj5GEyLddROXokf8I9x95VJawslWW9gsTfrzqaeGp6nQyq3"
  "TcC/wJdM6m/LZMt+ch0I4k5RufF9FlbZvo9jRojLi2C21sq4K9ufkiICGWo5X7nw"
  "xgZEumu+GA9dT4silJfP929+cMveDRlRcMBPytx+0c7ZSnQ3HmJ0fPSBdK4/oWp5"
  "jdcwCPghrHPQh792uvmOfiUhsiJDeMvAz9fBSF+pSeVmw2TlrR5x5u5hCAUqbCNA"
  "QV83kr0I+2ibRXQHeGz0m71+tBY0IjNT/F5qtwp0c8VXRfQvAtLFl0goZoua2uSt"
  "MnGFftZ5In0ln6ODaPdsGISMzrJW2DjSIX3MivNULmx0lmFmF0emNhfsL6fY1w8/"
  "WjB4Jh8KodIhUPoDyl9NqFvKFrCBOUJd8sp3LKo99YdpMtERJLYZdTEY0hahGuG7"
  "0o0IrELS9UWeDDIixIUUlHECAwEAAQ==")
